Skip to content

Revoke an API key

DELETE
/api/v1/auth/api-keys/{key_id}
curl --request DELETE \
--url https://api.totalview.energy/api/v1/auth/api-keys/example \
--header 'Authorization: Bearer <token>'

Revoke (deactivate) an API key. The key will no longer authenticate.

key_id
required
Key Id
string

Successful Response

Media type application/json
Example generated
example

Validation Error

Media type application/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Example generated
{
"detail": [
{
"loc": [
"example"
],
"msg": "example",
"type": "example",
"input": "example",
"ctx": {}
}
]
}